from controllers.dashboard import Dashboard
from controllers.block import Block
from controllers.login import Login
from controllers.logout import Logout
from controllers.inventory import Inventory
from controllers.inventory_web import InventoryWeb
from controllers.view import View
from controllers.user_block_new import UserBlockNew
from controllers.user_block_new_view import UserBlockNewView

url_map = [
    (r"/", Dashboard),
    (r"/login", Login),
    (r"/logout", Logout),
    (r"/block/(?P<bclass>[^\/]+)?", Block),
    (r"/block/(?P<bclass>[^\/]+)?/view", View),
    (r"/block/(?P<bclass>[^\/]+)?/view/(?P<view_id>[^\/]+)?", View),
    (r"/inventory", Inventory),
    (r"/inventoryWeb", InventoryWeb),

    (r"/user/block/new", UserBlockNew),
    (r"/user/block/(?P<bclass>[^\/]+)?/view/(?P<view_id>[^\/]+)?", UserBlockNewView)
]
