from pymongo import MongoClient
from settings import STORAGE_PATH, UPLOAD_PATH
import requests

client = MongoClient()

mongo = client['blocks_admin']

blocks = mongo.blocks.find({})

for block in blocks:
    r = requests.get(STORAGE_PATH + block["_id"] + "/" + block["_id"] + ".manifest")
    manifest = {}
    if r.status_code == requests.codes.ok: 
        manifest = r.json()
        data = {
            "_id": block["_id"],
            "manifest": manifest
        }
        mongo.blocks.save(data)


