(function ($) {
    "use strict";
  
    var AvvY = AvvY || {};
  
    var table_blocks = $("#blocks-dataTable").DataTable();
    var clicked;
  
    $("#blocks-dataTable tbody").on("click", "tr", function () {
      var data = table_blocks.row(this).data();
      if (clicked == data[0]) {
        window.location.href = "/block/" + clicked;
        clicked = null;
      } else {
        clicked = data[0];
        setTimeout(function () {
          clicked = null;
        }, 300);
      }
    });

  
    var table_views = $("#views-dataTable").DataTable();
    var clicked;
  
    $("#views-dataTable tbody").on("click", "tr", function () {
      var data = table_blocks.row(this).data();
      if (clicked == data[0]) {
        window.location.href = "/block/" + clicked;
        clicked = null;
      } else {
        clicked = data[0];
        setTimeout(function () {
          clicked = null;
        }, 300);
      }
    });
  
    var deleteButton = $("#button-delete");
    deleteButton.on("click", function (e) {
      deleteButton.attr("disabled", true);
      window.AvvY.createRequest({
        url: window.AvvY.deleteLink,
        method: "DELETE",
        onSuccess: function (result) {
          document.location.href = window.AvvY.redirectLink;
        },
      });
    });
  
  })(jQuery);
  